Bug 3394 - upgrade could show 'pre-requisites'
: upgrade could show 'pre-requisites'
Status: CLOSED NOTABUG
: Sisyphus
(All bugs in Sisyphus/alterator-packages)
: unstable
: all Linux
: P5 enhancement
Assigned To:
:
: http://lists.altlinux.ru/pipermail/co...
:
:
:
  Show dependency tree
 
Reported: 2003-12-19 18:06 by
Modified: 2008-02-15 22:23 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-12-19 18:06:48
if we ever have 'upgrade' button (path) in new installer, then it could be
reasonable to mention prerequisites there, even if along with "man apt-get".

these could tell:
- min hardware reqs
- software reqs ("previous stable release of ALT or later"?)

in fact, the FR is inspired by today's question in community@ regarding
slackware upgrade with alm2.2 and its installer's upgrade button. :-)
------- Comment #1 From 2004-03-30 20:51:57 -------
Когда-нибуть в следующий раз.
------- Comment #2 From 2004-03-30 21:37:16 -------
Нет, так понятно, что в своем.  Но не закрывай FR на 3.0, пожалуйста.
------- Comment #3 From 2004-05-14 19:24:38 -------
Что бы не забыть - block на 3459.
------- Comment #4 From 2005-04-29 23:38:14 -------
напоминаю :-)
------- Comment #5 From 2005-06-14 12:12:11 -------
reassign to alterator-packages.
2lioka: посмотри, нужно ли здесь что-то делать?
------- Comment #6 From 2005-06-14 13:12:48 -------
о чём собссно спич ?
о возможности 'проапдейтить' слакварь на компакт ?
если да, не смешно; иначе разжуйте пожалуйста.
------- Comment #7 From 2005-06-14 13:33:36 -------
это нетехническая бага.

вопрос наличия кнопки "обновить" -- это вопрос того, насколько мы совместимы по
ожиданиям со всякими редхатами, где это по факту единственная альтернатива
установке с нуля для многих.  соответственно _если_ такое будет -- то
припоминается, что для кого-то из достаточно неглупых людей это всё-таки было не
слишком очевидным (опять же знаю минимум троих переезжавших с RH{,-like}
"по-живому" _и_ вешая эту багу, имел перед носом какое-то из писем в рассылках,
которое делало её не совсем абсурдной; а, в URL).

вариант -- зафиксировать в документации, причём с однострочным описанием
("обновление с предыдущей версии -- см. главу N") в "кратких вводных".

PS: lists.altlinux.ru тормозит, кэш:
http://64.233.183.104/search?q=cache:MeHE7x9pFHUJ:lists.altlinux.ru/pipermail/community/2003-December/107558.html+3394+site:altlinux.ru&hl=ru
------- Comment #8 From 2005-06-14 14:46:29 -------
эээ... не, это не про install3.  это где-то после лицензии, _если_ вообще
делать
так (поскольку совместимость с багопривычкой по сути =)
------- Comment #9 From 2005-07-06 00:36:35 -------
насколько я понимаю, сейчас _такой_ кнопки нет.
в долгий ящик, видимо.
------- Comment #10 From 2008-02-15 22:22:53 -------
re
------- Comment #11 From 2008-02-15 22:23:10 -------
Нафиг это не надо.